%define name		java2html
%define version		1.3.1
%define release		1jpp
%define section		non-free
%define source_top	j2h-%{version}

Summary:	Converts Java into colourized and browsable HTML
URL:		http://www.java2html.com

Source0:	Java2HTML.zip
NoSource:	0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Proprietary License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5.32
Requires:	jpackage-utils >= 0:1.5.32
BuildRoot:	%{_tmppath}/%{name}-%{version}.-%{release}-buildroot

%description
Java2HTML is a simple-to-use tool which converts 
a bunch of Java Source Code into a colourized and 
browsable HTML representation. Main features include:
- Converts Java Code into Colourized HTML. 
- Specify TAB Spacing. 
- Specify style and colour options of all Java 
  keywords types via standard cascading style sheets. 
- JavaDoc Look'n Feel. 
- Links Class references into source code for Class 
  definitions. 
- Links external Class references into 'JavaDoc' output. 
- Optional Line Number feature. 
- API 


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Documentation
Requires:	java2html = 0:1.3.1

%description demo
Examples for %{name}.

%prep
%setup -T -c -n j2h-%{version}
unzip -q %{SOURCE0}
chmod -R go=u-w *

%build

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 j2h.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p java2html*.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p readme.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docsapi/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p *.bat $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p j2h $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr api_examples $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Thu Feb 12 2004 Ralph Apel <r.apel@r-apel.de> 0:1.3.1-1jpp
- first JPackage release
